[glib] Fix 'make check' with clang
- From: Matthias Clasen <matthiasc src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [glib] Fix 'make check' with clang
- Date: Mon, 24 Oct 2011 17:44:23 +0000 (UTC)
commit 94a46ea410ced6904691dba16d01485b6a6283f0
Author: Matthias Clasen <mclasen redhat com>
Date: Mon Oct 24 13:43:11 2011 -0400
Fix 'make check' with clang
Patch by Elias Pipping
https://bugzilla.gnome.org/show_bug.cgi?id=662491
tests/run-assert-msg-test.sh | 4 ++--
1 files changed, 2 insertions(+), 2 deletions(-)
---
diff --git a/tests/run-assert-msg-test.sh b/tests/run-assert-msg-test.sh
index 8557e02..ee20149 100755
--- a/tests/run-assert-msg-test.sh
+++ b/tests/run-assert-msg-test.sh
@@ -21,7 +21,7 @@ fi
echo_v "Running assert-msg-test"
OUT=$(./assert-msg-test 2>&1) && fail "assert-msg-test should abort"
-echo "$OUT" | grep -q '^ERROR:.*assert-msg-test.c:.*:main: assertion failed: (42 < 0)' || \
+echo "$OUT" | grep -q '^ERROR:.*assert-msg-test.c:.*:.*main.*: assertion failed: (42 < 0)' || \
fail "does not print assertion message"
if ! type gdb >/dev/null 2>&1; then
@@ -38,7 +38,7 @@ OUT=$(gdb --batch --ex run --ex "print (char*) __glib_assert_msg" .libs/$msg_tes
fail "failed to run gdb"
echo_v "Checking if assert message is in __glib_assert_msg"
-if ! echo "$OUT" | grep -q '^$1.*"ERROR:.*assert-msg-test.c:.*:main: assertion failed: (42 < 0)"'; then
+if ! echo "$OUT" | grep -q '^$1.*"ERROR:.*assert-msg-test.c:.*:.*main.*: assertion failed: (42 < 0)"'; then
fail "__glib_assert_msg does not have assertion message"
fi
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]